/*
Theme Name: Huoneistovalinta
Author: Slim Pickings
Version: 1.0.0
Template: sober
*/


/*
	Breakpoints:
	576px
	768px
	992px
	1200px

	Colors:
	Black: 121112

*/


/*-------------------------------------------------------------------------*/
/*	Typography
/*-------------------------------------------------------------------------*/
body,
button,
input,
select,
textarea {
	color: #000 !important;
	font-size: 14px;
	font-size: 1.4rem;
	font-family: "Open Sans", "Poppins", sans-serif;
	line-height: 1.5 !important;
}

.entry-content li {
	padding: 5px 0;
}

h6 {
	font-size: 14px !important;
	font-size: 1.4rem;
	color: #000;
	line-height: 2.14286;
	margin-bottom: 0;
	margin-top: 0;
	text-transform: uppercase;
}

h1, h2, h3, h4, h5 {
	font-family: "Open Sans", "Poppins" sans-serif;
	color: #000;
	line-height: 1.2;
	font-weight: 500;
}

h1, h2 {
	margin: 20px 0 20px!important;
}

h3, h4, h5 {
	margin: 20px 0 20px;
}

h1 {
	font-size: 20px !important;
	line-height: 1.5 !important
}

h1.page-title {
	font-size: 30px !important;
}

h2 {
	font-size: 25px;
}

h3 {
	font-size: 20px;
	text-transform: uppercase;
}

h4 {
	font-size: 14px;
}

h5 {
	font-size: 14px;
}

p {
	margin-bottom: 1em;
}

#content .wpb_text_column :last-child, 
#content .wpb_text_column p:last-child, 
.wpb_text_column p:last-child {
    margin-bottom: 1.5em;
}

.page-header .page-title {
	font-family: "Open Sans", "Poppins", sans-serif;
	font-size: 30px;
	font-size: 3rem;
	color: #0a0a0a;
}

@media (max-width: 576px) {
	h1, h2, h3, h4, h5, h6, p {
		text-align: left !important;
	}

	h1.page-title {
		text-align: center !important;
	}
}

@media (min-width: 768px) {
	body,
	button,
	input,
	select,
	textarea {
		font-size: 16px !important;
		font-size: 1.6rem;
	}

	h1 {
		font-size: 30px !important;
	}

	h2 {
		font-size: 30px !important;
	}

	h6 {
		font-size: 16px !important;
	}

	.page-header .page-title {
		font-size: 60px !important;
		font-weight: 300;
	}
}

.vc_column_container .vc_column-inner {
	padding-left: 30px;
	padding-right: 30px;
}

.entry-content a {
	color: #aa8158!important;
}	

.entry-content a:hover {
	text-decoration: underline;
}	


@media (min-width: 1200px) {
	h1, h2 {
		margin: 30px 0 30px!important;
	}

h1 {
	font-size: 40px !important;
}
}



/*-------------------------------------------------------------------------*/
/*	Menu
/*-------------------------------------------------------------------------*/

/*
.topbar {
    color: #0a0a0a;
    background-color: #f8f80e;
}
*/

.topbar {
	text-transform: uppercase !important;
	font-size: 12px !important;
}

@media screen and (max-width: 767px) {
	.topbar {
		height: auto !important;
		padding: 0;
		overflow: hidden;
	}
}

#menu-item-36 a,
.menu-item-36 a,
#menu-item-37 a,
.menu-item-37 a {
	background: url("https://www.huoneistovalinta.fi/v2/wp-content/uploads/2019/02/oikotie.png") no-repeat center left;
	padding-left: 110px;
}

.menu-item-search a {
	display: none;
}

.nav-menu li li a {
    color: #464544;
    font-weight: 400;
    text-transform: none;
    line-height: 1.4;
    font-size: 14px;
}

.nav-menu li li:hover {
	background: #f0f0f0;
}

.nav-menu li li:hover a,
.nav-menu li li a:hover {
}

.nav-menu li {
    margin-right: 20px;
}

@media (min-width: 1300px) {
	.nav-menu li {
	    margin-right: 40px;
	}
}

#menu-item-34 a:first-of-type {
	cursor: default !important;
}

#menu-item-34 .sub-menu a {
	cursor: pointer !important;
}



#mobile-menu .search-form {
	display: none;
}

#mobile-menu {
	padding-top: 50px;
}

.site-header {
    padding: 10px 0 30px 0;
}

#site-navigation {
	padding-top: 51px; /* 20px center, 51px bottom */
}

.home .site-title {
	display: none !important;
}

.nav-menu li ul {
    -webkit-transform: translateY(32px);
    transform: translateY(32px);
    background-color: #fff;
}

.header-transparent.header-hoverable .site-header:hover {
    background-color: #f8f80e;
}

.mobile-menu.side-menu .menu > li > a,
.mobile-menu.side-menu .sub-menu li a {
	font-size: 14px !important;
}


/*-------------------------------------------------------------------------*/
/*	Misc
/*-------------------------------------------------------------------------*/
.nowrap {
	white-space: nowrap;
}	

.entry-content a.button,
#wpcf7-f85-p20-o1 input[type="submit"] {
	/*color: #fff!important;*/
	/*background: #b88259!important;*/
	font-weight: 600;
	color: #0a0a0a!important;
	background: #f8f80e!important;
	letter-spacing: 2px;
	font-size: 12px;
	text-transform: uppercase;
	margin-top: 20px;
	min-width: auto!important;
	line-height: 40px;
	padding-left: 10px;
	padding-right: 10px;
	width: auto;
}

.wpcf7-text,
.wpcf7-textarea {
	padding-left:  10px !important;
}

.entry-content a.button:hover {
	/*color: #fff!important;*/
	color: #0a0a0a!important;
	text-decoration: none;
}

.vc_column_container .vc_column-inner .vc_column_container .vc_column-inner {
    padding-left: 15px;
    padding-right: 15px;
}

.stripe h2, 
.stripe p,
.stripe li {
	/*color: #fff;*/
}

.stripe {
	margin-top: 50px;
	margin-bottom: 35px!important;
	padding: 25px 0 50px 0;
	background: #f0f0f0!important;
}

.stripe .box {
	background: #fff;
	color: #464544;
	overflow: hidden;
}

.stripe .box p {
	color: #464544;
}

.stripe .box p.text {
	padding-left: 15px;
	padding-right: 15px;
}

ul.no-bullet {
	list-style: none!important;
	padding-inline-start: 0;
}

.content-padding {
	margin-top: 50px;
	margin-bottom: 35px!important;
}

@media (min-width: 768px) {
	.content-padding {
		margin-top: 50px;
		margin-bottom: 35px!important;
	}

	.stripe {
		margin-top: 100px;
		margin-bottom: 75px!important;
		padding: 50px 50px 100px 50px;
	}

	body.page-id-10 .stripe {
		padding-bottom: 50px;
	}

	a.button,
	#wpcf7-f85-p20-o1 input[type="submit"] {
		line-height: 50px!important;
		padding-left: 20px!important;
		padding-right: 20px!important;
		min-width: 200px!important;
	}
}

@media (max-width: 400px) {
	.entry-content h1,
	.entry-content h2,
	.entry-content h3,
	.entry-content p {
		text-align: left!important;
	}

	.stripe .box h3 {
		padding-left: 15px;
		padding-right: 15px;
	}
}


/*-------------------------------------------------------------------------*/
/*	Pages
/*-------------------------------------------------------------------------*/
/* home */
@media (max-width: 576px) {
	body.page-id-10 h2,
	.home-oikotie h3,
	.home-oikotie p,
	.home-services h3,
	.home-services p {
		text-align: center !important;
	}
}



@media (min-width: 1200px) {
	body.page-id-10 h1 {
		margin-top: 100px!important;
	}
}

@media (min-width: 768px) {
	body.page-id-10 .vc_column_container.vc_col-sm-4 .vc_column-inner {
	    padding-left: 15px;
	    padding-right: 15px;
	}
}

@media (min-width: 768px and max-width: 991) {
	body.page-id-10 .stripe .box a.button {

	}
}

body.page-id-10 .stripe .box p {
	font-size: 14px;
}

/* contact */
body.page-id-20 .entry-content h2:first-of-type { 
	padding-bottom: 20px;
}

@media (min-width: 768px) {
	body.page-id-20 .entry-content h2:first-of-type { 
		padding-bottom: 100px;
	}
}

/* hinnasto */
body.page-id-159 h1 {
	margin-bottom: 20px!important;
}

body.page-id-159 h3 {
	margin-top: 40px;
}

@media (min-width: 1200px) {
	body.page-id-159 h3 {
		margin-top: 75px;
	}
}

/* muut palvelut */
body.page-id-16 h1 {
	/*margin-top: 100px!important;*/
}


/*-------------------------------------------------------------------------*/
/*	Tables
/*-------------------------------------------------------------------------*/
table.examples,
table.examples tr,
table.examples td {
	border: 0;
}

table.examples {
	margin-bottom: 0;
}

table.examples tr,
table.prices tr {
	background: #dcdada!important;
}

table.examples tr:nth-child(even),
table.prices tr:nth-child(even) {
    background: #fbf9f9!important;
}

table.examples .heading,
table.prices .heading {
	/*background: #464544!important;*/
	/*color: #fff!important;*/
	background: #f8f80e!important;
	color: #0a0a0a!important;
	text-transform: uppercase;
}

table.examples,
table.prices,
table.examples td,
table.prices td {
	border: none!important;
}

table.examples td {
    width: 25%;
}

table.examples td:first-child {
    width: 50%;
}

table.examples td:last-child {
    text-align: right;
}

.table-wrapper-scroll-y {
	display: block;
	max-height: 500px;
	overflow-y: auto;
	/*-ms-overflow-style: -ms-autohiding-scrollbar;*/
}

.table-wrapper-scroll-y::-webkit-scrollbar {
    -webkit-appearance: none;
}

.table-wrapper-scroll-y::-webkit-scrollbar:vertical {
    width: 10px;
}

.table-wrapper-scroll-y::-webkit-scrollbar-thumb {
    border-radius: 8px;
    border: 2px solid #f0f0f0; /* should match background, can't be transparent */
    background-color: rgba(0, 0, 0, .5);
}

@media (min-width: 1200px) {
	table.examples td,
	table.prices td {
		padding: 10px 10px 10px 25px!important;
	}

	table.examples td:last-child {
	    padding-right: 25px!important;
	}

	.table-wrapper-scroll-y::-webkit-scrollbar:vertical {
	    width: 15px;
	}
}



/*-------------------------------------------------------------------------*/
/*	Tables test
/*-------------------------------------------------------------------------*/
.examples-table.data table {
	display: block;
	max-height: 500px;
	overflow-y: auto;
	/*-ms-overflow-style: -ms-autohiding-scrollbar;*/
}

.examples-table.data table::-webkit-scrollbar {
    -webkit-appearance: none;
}

.examples-table.data table::-webkit-scrollbar:vertical {
    width: 10px;
}

.examples-table.data table::-webkit-scrollbar-thumb {
    border-radius: 8px;
    border: 2px solid #f0f0f0; /* should match background, can't be transparent */
    background-color: rgba(0, 0, 0, .5);
}

.examples-table table,
.examples-table table tr,
.examples-table table td {
	border: 0;
}

.examples-table table {
	margin-bottom: 0;
}

.examples-table table tr {
	background: #dcdada!important;
}

.examples-table table tr:nth-child(even) {
    background: #fbf9f9!important;
}

table.examples.header tr {
	/*background: #464544!important;*/
	/*color: #fff!important;*/
	background: #f8f80e!important;
	color: #0a0a0a!important;
	text-transform: uppercase;
}

.examples-table table td {
	width: 250px!important;
}

.examples-table table td:first-child {
	width: 500px!important;
}

.examples-table table td:last-child {
    text-align: right;
}


@media (min-width: 1200px) {
	.examples-table table td {
		padding: 13px 10px 13px 25px!important;
	}

	.examples-table table td:last-child {
	    padding-right: 25px!important;
	}

	.table-wrapper-scroll-y::-webkit-scrollbar:vertical {
	    width: 15px;
	}
}


/*-------------------------------------------------------------------------*/
/*	Forms
/*-------------------------------------------------------------------------*/
#wpcf7-f85-p20-o1 .wpcf7-text,
#wpcf7-f85-p20-o1 .wpcf7-textarea {
	background-color: #f6f6f6;
    color: #222;
    border-color: #fff;
    width: 100%;
}

#wpcf7-f85-p20-o1 label {
	width: 100%;
}

@media (min-width: 992px) {
	#wpcf7-f85-p20-o1 label {
		width: 90%;
	}

	#wpcf7-f85-p20-o1 .wpcf7-text,
	#wpcf7-f85-p20-o1 .wpcf7-textarea {
		font-size: 16px;
		line-height: 30px;
	}
}



/*-------------------------------------------------------------------------*/
/*	Footer
/*-------------------------------------------------------------------------*/
footer .container {
	padding-left: 0!important;
	padding-right: 0!important;
}

.action {
	background: #f8f80e!important;
	color: #0a0a0a;
	text-align: center;
	padding: 20px;
	margin: 25px 0;
	font-size: 2rem;
	line-height: 1.25;
}

footer .action {
	padding: 20px;
	margin: 50px 0;
	font-size: 2rem;
}

footer ul {
	list-style: none!important;
	padding-inline-start: 0;
	margin-bottom: 30px!important;
}

footer li {
	font-size: 14px;
	line-height: 30px;
	text-align: left;
}

footer li a:hover {
	text-decoration: underline;
}

.copyright {
	padding-left: 20px !important;
}

li.heading {
	font-family: "Poppins", sans-serif;
	font-weight: 500;
	color: #0a0a0a;
	padding-bottom: 5px;
}

@media (min-width: 768px) {
	footer .action {
		padding: 20px;
		margin: 50px 0;
		font-size: 3rem;
		line-height: 1.5;
	}
}














